- name: Ensure gitops directories exist
  include_tasks:
    file: create_gitops_dirs.yml
  vars:
    gitops_component: node-config

- name: Create asset files
  template:
    src: "node-config/{{ item.file }}.j2"
    dest: "{{ openshift_gitops_dir }}/node-config/assets/{{ item.file }}"
  loop:
  - file: nodeconfig.yaml

- name: Generate kustomization file
  include_tasks:
    file: generate_kustomization.yml
  vars:
    gitops_component: node-config
    gitops_component_has_upstream: False
